/*
Global Component Section

Vue.component('global-component', { template: '<p>Global Component</p>' })

var app = new Vue({
	el: '#app',
    template: `
<div>
    <global-component />
</div>
`
})
*/

/*
Local Component Section

const LocalComponent = { template: '<p>Local Component</p>'}

const app = new Vue({
	el: '#app',
    template: `
<div>
    <local-component />
</div>
`,
	components: { 'local-component' : LocalComponent }
})
*/

/*
ES2015 Section
import es2015 from './components/ES2015Component.js'

const app = new Vue({
	el: '#app',
    template: `
<div>
    <es2015-component />
</div>
`,
	components: { 'es2015-component' : es2015 }
})
*/

import pc from './components/parentComponent.js'

const ChildComponent = {
	template: '<p><em>Wait...What?</em></p>',
	data() {
		return { id: 1 }
	}
}

const app = new Vue({
	el: '#app',
    template: `
		<div>
		    <parent-component />
		    <child-component />
		</div>
`,
	components: { 
		'parent-component' : pc,
		'child-component' : ChildComponent
	}
})